#pragma once
#include "Deer/Memory.h"

#include "DeerStudio/Editor/EditorPanel.h"
#include "DeerStudio/Editor/ActiveEntity.h"

#include "glm/glm.hpp"

namespace Deer {
	class FrameBuffer;

	class GamePanel : public EditorPanel {
	public:
		GamePanel();
		void onImGui() override;

	private:
		Scope<FrameBuffer> m_frameBuffer;

		glm::vec2 m_lastWindowSize;
	};
}

